<%@ Page Language="C#" %>
<html>
<head>
	<title>Primeira letra de cada sequência em letras maiúsculas</title>
</head>
<body>
<form name="teste" runat="server">
	<asp:TextBox id="txtmaiusculas" style="WIDTH: 202px; HEIGHT: 22px" runat="server"/>
	<asp:Button id="Button1" Text="Exibir" OnClick="Button1_click" runat="server"/><P/>
	<asp:TextBox id="txtresposta" style="WIDTH: 202px; HEIGHT: 22px" runat="server"/>
</form>
</body>
</html>
<script runat="server">
	string maiusculas="";
	public void Button1_click(object sender, System.EventArgs e) {	
		string textEspaco=txtmaiusculas.Text;
		txtresposta.Text=textEspaco.Substring(0,1).ToUpper();
		for(int i=0;i<textEspaco.Length;i++) {		
			if(i>0) {			
				if (textEspaco.Substring(i-1,1).ToString()==" ") {	
					maiusculas=textEspaco.Substring(i,1).ToUpper();
					txtresposta.Text+=maiusculas;	
				}
				else {
					maiusculas=textEspaco.Substring(i,1).ToLower();
					txtresposta.Text+=maiusculas;			
				}	
			}
		}		
	}
</script>
